Bug 24647 - PDF::API2::Simple is declared as a required dependency but it is not used
Summary: PDF::API2::Simple is declared as a required dependency but it is not used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-12 20:24 UTC by Julian Maurice
Modified: 2020-03-05 01:58 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24647: Remove PDF::API2::Simple from cpanfile (922 bytes, patch)
2020-02-12 20:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24647: Remove PDF::API2::Simple from cpanfile (971 bytes, patch)
2020-02-17 07:09 UTC, David Nind
Details | Diff | Splinter Review
Bug 24647: Remove PDF::API2::Simple from cpanfile (1.00 KB, patch)
2020-02-17 20:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2020-02-12 20:24:40 UTC
`git grep PDF::API2::Simple` returns only one occurence, in cpanfile.

`git log -S PDF::API2::Simple` returns a few commits that move around the declaration of dependencies, and the commit https://github.com/Koha-Community/Koha/commit/e418db57f9544983a004b6a7b7f79ab5bdcb30a0 that introduces this dependency without using it.

So it looks like it has been a required dependency for 10 years, without ever being used.
Comment 1 Julian Maurice 2020-02-12 20:28:32 UTC
Created attachment 98777 [details] [review]
Bug 24647: Remove PDF::API2::Simple from cpanfile

It is not used anywhere.

Also, remove PDF::API2::Page and PDF::API2::Util from cpanfile.
These modules are included in PDF::API2 which is already in cpanfile.
Comment 2 David Nind 2020-02-17 07:09:41 UTC
Created attachment 99067 [details] [review]
Bug 24647: Remove PDF::API2::Simple from cpanfile

It is not used anywhere.

Also, remove PDF::API2::Page and PDF::API2::Util from cpanfile.
These modules are included in PDF::API2 which is already in cpanfile.

Test plan:
1) Search for PDF::API2::Simple - git grep PDF::API2::Simple - there 
   should be one result
2) Apply the patch
3) Search again
4) There should be no results
5) Sign off!

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-02-17 20:06:12 UTC
Created attachment 99128 [details] [review]
Bug 24647: Remove PDF::API2::Simple from cpanfile

It is not used anywhere.

Also, remove PDF::API2::Page and PDF::API2::Util from cpanfile.
These modules are included in PDF::API2 which is already in cpanfile.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-02-19 11:35:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-03-05 01:58:31 UTC
does not apply to 19.11.x 
cpanfile does not contain the lines indicated to be removed anyways!
not backporting